### Method

# FwupdPlugin PathStore set_path

since: 2.1.1

#### Declaration [src]

    void
    fu_path_store_set_path (
      FuPathStore* self,
      FuPathKind kind,
      const gchar* path
    )

#### Description [src]

Sets the defined path for the `kind`.

Available since: 2.1.1

#### Parameters

`kind`

  Type: `FuPathKind`

  A `FuPathKind` e.g. `FU_PATH_KIND_DATADIR_PKG`.

`path`

  Type: `const gchar*`

  Directory name.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.